Subject: bug#9469: buffer-local variables seem to remember previous values

From: Le Wang <[email-masked]>
Date: Mon, 12 Sep 2011 02:49:19 +0800

On Mon, Sep 12, 2011 at 2:08 AM, Andreas Schwab <[email-masked]> wrote:
> This has nothing to do with the use of quote, but with the use of
> destructive functions (setcdr) on a shared data structure.

Of course you're technically right, but should the manual mention in
the "quoting" section that using quote the way I did results in a
shared data structure?  This part was surprising to me.

And I think it will be very surprising to others new to lisp.
Specifically, if you read the stackexchange thread Drew pointed to:
http://stackoverflow.com/questions/134887/when-to-use-quote-in-lisp

It seems I'm not the only one who didn't realize that quote does not cons.

> Andreas.
>
> --
> Andreas Schwab, [email-masked]
> GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
> "And now for something completely different."
>

-- 
Le